// Libs
import React, { FC, memo } from 'react'
import styles from './logo.module.scss'
import Link from 'next/link'
import { useRouter } from 'next/router'

// Component
const Logo: FC = () => {
  // Router
  const { pathname } = useRouter()

  // Return
  return (
    <Link href={'/'}>
      <div className={styles.logo} style={{ pointerEvents: pathname === '/' ? 'none' : 'auto' }}>
        <svg
          width='166'
          height='28'
          viewBox='0 0 166 28'
          xmlns='http://www.w3.org/2000/svg'
          fill='white'
        >
          <path
            fillRule='evenodd'
            clipRule='evenodd'
            d='M42.1653 28C46.1441 28 49.5028 26.6575 52.2415 23.9726C55.006 21.2621 56.3882 17.9379 56.3882 14C56.3882 10.0621 55.006 6.75071 52.2415 4.06575C49.5028 1.35525 46.1441 0 42.1653 0C38.1865 0 34.8149 1.35525 32.0504 4.06575C29.3117 6.75071 27.9424 10.0621 27.9424 14C27.9424 17.9379 29.3117 21.2621 32.0504 23.9726C34.8149 26.6575 38.1865 28 42.1653 28ZM42.1653 21.2877C40.0725 21.2877 38.3286 20.61 36.9334 19.2548C35.5383 17.874 34.8407 16.1223 34.8407 14C34.8407 11.8776 35.5383 10.1388 36.9334 8.78358C38.3286 7.40276 40.0725 6.71235 42.1653 6.71235C44.258 6.71235 46.002 7.40276 47.3971 8.78358C48.7923 10.1388 49.4899 11.8776 49.4899 14C49.4899 16.1223 48.7923 17.874 47.3971 19.2548C46.002 20.61 44.258 21.2877 42.1653 21.2877ZM20.4236 4.44945C17.9175 1.86681 14.7913 0.575485 11.045 0.575485H0V27.4248H11.045C14.7913 27.4248 17.9175 26.1462 20.4236 23.5892C22.9556 21.0065 24.2216 17.8102 24.2216 14.0002C24.2216 10.1901 22.9556 7.00653 20.4236 4.44945ZM15.6568 18.9481C14.4684 20.1755 12.9311 20.7892 11.045 20.7892H7.13083V7.21112H11.045C12.9311 7.21112 14.4684 7.83756 15.6568 9.09057C16.8453 10.318 17.4395 11.9545 17.4395 14.0002C17.4395 16.0458 16.8453 17.6951 15.6568 18.9481ZM88.8253 0.575439V27.4248H81.927V12.9645L75.3387 23.7426H74.6411L68.0914 13.0029V27.4248H61.1543V0.575439H68.0914L74.9899 12.044L81.927 0.575439H88.8253ZM110.707 3.87839L104.552 0.712158L92.041 24.536L98.1968 27.7022L110.707 3.87839ZM125.857 0.575439H132.755V27.4248H127.407L117.835 13.9234V27.4248H110.897V0.575439H116.284L125.857 14.0768V0.575439ZM151.777 28C155.755 28 159.114 26.6575 161.853 23.9726C164.618 21.2621 166 17.9379 166 14C166 10.0621 164.618 6.75071 161.853 4.06575C159.114 1.35525 155.755 0 151.777 0C147.798 0 144.426 1.35525 141.662 4.06575C138.923 6.75071 137.554 10.0621 137.554 14C137.554 17.9379 138.923 21.2621 141.662 23.9726C144.426 26.6575 147.798 28 151.777 28ZM151.777 21.2877C149.684 21.2877 147.94 20.61 146.545 19.2548C145.15 17.874 144.452 16.1223 144.452 14C144.452 11.8776 145.15 10.1388 146.545 8.78358C147.94 7.40276 149.684 6.71235 151.777 6.71235C153.869 6.71235 155.613 7.40276 157.008 8.78358C158.404 10.1388 159.101 11.8776 159.101 14C159.101 16.1223 158.404 17.874 157.008 19.2548C155.613 20.61 153.869 21.2877 151.777 21.2877Z'
          />
        </svg>
      </div>
    </Link>
  )
}

export default memo(Logo)
